de.vc.io

## Class ObservingInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - de.vc.io.ObservingInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class ObservingInputStream
      extends java.io.FilterInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservingInputStream(java.io.InputStream in)`
    `ObservingInputStream(java.io.InputStream in, StreamObserver obs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamObserver` | `getObserver()`
    `int` | `read()`
    `int` | `read(byte[] parm1)`
    `int` | `read(byte[] parm1, int parm2, int parm3)`
    `void` | `setObserver(StreamObserver observer)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservingInputStream

          public ObservingInputStream(java.io.InputStream in)

    - #### ObservingInputStream

          public ObservingInputStream(java.io.InputStream in,
                              StreamObserver obs)

  - ### Method Detail

    - #### getObserver

          public StreamObserver getObserver()

    - #### setObserver

          public void setObserver(StreamObserver observer)

    - #### read

          public int read(byte[] parm1,
                 int parm2,
                 int parm3)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] parm1)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.